%global debug_package %{nil}

Name:           libstp2
Version:        0.2.0
Release:        beta2
Summary:        C library maintained by Setup Tooling Project for setup-tool, etc.
BuildArch:      %{_target_cpu}

License:        Apache-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ncurses-devel
Requires:       libstp2-extras
Requires:       ncurses
Requires:       ncurses-devel

%description
C-library maintained by the Setup Tooling Project team for setup-tool, etc.
This library contains many functions that are easy to use and can help a lot.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_libdir}/libstp/2
make
cp libstp-c.h %{buildroot}/%{_libdir}/libstp/2
cp libstp-c.so %{buildroot}/%{_libdir}/libstp/2
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%{_libdir}/libstp/2/libstp-c.h
%{_libdir}/libstp/2/libstp-c.so
%license %{_datadir}/licenses/%{name}/LICENSE

%changelog
%autochangelog
